%global pypi_name tenacity

Name:           python-%{pypi_name}
Version:        8.2.1
Release:        %mkrel 1
Summary:        Tenacity is a general purpose retrying library
License:        ASL 2.0
Group:          Development/Python
URL:            https://github.com/jd/%{pypi_name}
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
Tenacity is a general-purpose retrying library, written in Python, to simplify
the task of adding retry behavior to just about anything. It originates from a
fork of Retrying.

%package -n python3-%{pypi_name}
Summary:        Tenacity is a general purpose retrying library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pbr
BuildRequires:  python3-six >= 1.9.0
BuildRequires:  python3-tornado >= 4.5
BuildRequires:  python3-typeguard
BuildRequires:  python3-pytest

%description -n python3-%{pypi_name}
Tenacity is a general-purpose retrying library, written in Python3, to simplify
the task of adding retry behavior to just about anything. It originates from a
fork of Retrying.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tenacity

%check
# XXX: fails under python3
pytest-%{python3_version}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Fri Feb 17 2023 daviddavid <daviddavid> 8.2.1-1.mga9
+ Revision: 1943733
- new version: 8.2.1

* Sun Jan 08 2023 daviddavid <daviddavid> 8.1.0-2.mga9
+ Revision: 1931642
- switch to pyproject

* Sun Jan 08 2023 daviddavid <daviddavid> 8.1.0-1.mga9
+ Revision: 1931617
- new version: 8.1.0

* Wed Mar 30 2022 umeabot <umeabot> 8.0.1-2.mga9
+ Revision: 1833843
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 8.0.1-1.mga9
+ Revision: 1782028
- version 8.0.1
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 7.0.0-2.mga9
+ Revision: 1707038
- rebuild for python 3.9

* Mon Mar 08 2021 daviddavid <daviddavid> 7.0.0-1.mga9
+ Revision: 1700578
- new version: 7.0.0

* Sat Dec 19 2020 daviddavid <daviddavid> 6.3.1-1.mga8
+ Revision: 1661091
- new version: 6.3.1

* Sun May 24 2020 daviddavid <daviddavid> 6.2.0-1.mga8
+ Revision: 1587341
- new version: 6.2.0

* Fri Feb 28 2020 kekepower <kekepower> 6.1.0-1.mga8
+ Revision: 1551340
- Update to version 6.1.0

* Thu Feb 20 2020 umeabot <umeabot> 6.0.0-2.mga8
+ Revision: 1546505
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 6.0.0-1.mga8
+ Revision: 1486592
- new version: 6.0.0

* Thu Jan 30 2020 daviddavid <daviddavid> 5.1.1-1.mga8
+ Revision: 1485634
- initial package python-tenacity

